summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-24 17:06:54 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-24 17:06:54 +0000
commit8888ff35c068d46ccc3b0e4c7c6716fba88353a3 (patch)
tree59e541a509d51b02dacee0fe3924c216bb71e498 /jenkins
parent7e2768b4e80c7c42aee7ab6a5ba8e454e98880c3 (diff)
onsuccess: #769: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | 0 | # build_abe glibc -- --disable install: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1359
-rw-r--r--jenkins/notify-init.log326
-rw-r--r--jenkins/rewrite.log20
-rw-r--r--jenkins/run-build.env6
5 files changed, 1357 insertions, 356 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 5dbc685..3355175 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#768-glibc-R1
+#769-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index d802790..061650e 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -d: -f 1
+ host=tcwg-jade-06
+ local port
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_3
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_2
+ local opts
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 4
-+ opts=-p35995
++ opts=-p36090
+ local env_vars
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_3
-+ ssh -p35995 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_3 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_2
++ ssh -p36090 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_2 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -70,8 +70,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -82,20 +82,20 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-aarch64
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/'
# Using dir : artifacts
+ echo '# Using dir : artifacts'
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x2f1c6652d7b339526cfebc87c64c6f130cabc9ba '!=' x83d13972f23546758b600ba940e0d53248dd0339 ']'
+++ '[' x2bd00179885928fd95fcabfafc50e7b5c6e660d2 '!=' x2f1c6652d7b339526cfebc87c64c6f130cabc9ba ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ first_bad=2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=83d13972f23546758b600ba940e0d53248dd0339
++ last_good=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
+ local res
+ res=0
-+ wait 51200
++ wait 62331
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=83d13972f23546758b600ba940e0d53248dd0339
++ base_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-++ git -C glibc rev-parse '2f1c6652d7b339526cfebc87c64c6f130cabc9ba^@'
++ cur_rev=2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ git -C glibc rev-parse '2bd00179885928fd95fcabfafc50e7b5c6e660d2^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 7f602256ab5b85db1dbfb5f40bd109c4b37b68c8 = 83d13972f23546758b600ba940e0d53248dd0339 ']'
-+ return 1
-+ change_kind=single_component
-+ echo '# Debug traces :'
++ '[' 2f1c6652d7b339526cfebc87c64c6f130cabc9ba = 2f1c6652d7b339526cfebc87c64c6f130cabc9ba ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
++ echo '# Debug traces :'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=83d13972f23546758b600ba940e0d53248dd0339
++ base_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-++ git -C glibc rev-list --count 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-+ c_commits=14
-# rev for glibc : 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba (14 commits)
-+ echo '# rev for glibc : 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba (14 commits)'
++ cur_rev=2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ git -C glibc rev-list --count 2f1c6652d7b339526cfebc87c64c6f130cabc9ba..2bd00179885928fd95fcabfafc50e7b5c6e660d2
+# rev for glibc : 2f1c6652d7b339526cfebc87c64c6f130cabc9ba..2bd00179885928fd95fcabfafc50e7b5c6e660d2 (1 commits)
++ c_commits=1
++ echo '# rev for glibc : 2f1c6652d7b339526cfebc87c64c6f130cabc9ba..2bd00179885928fd95fcabfafc50e7b5c6e660d2 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -235,8 +235,260 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 62411
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=f22900934
+++ '[' 0 -ne 0 ']'
+++ echo f22900934
++ sha1=f22900934
++ git -C interesting-commits checkout --detach f22900934
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ a8bf2e6fb Add entry 2bd00179885928fd95fcabfafc50e7b5c6e660d2 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> a8bf2e6fb
+
+HEAD is now at f22900934 Add entry d15fff6c69c93670b6f63e0f0fd91fcdf69b6702 from https://ci.linaro.org/job/tcwg_bmk-code_size-spec2k6--llvm-aarch64-master-Os_LTO-build/83/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
++ update_interesting_commits init ''
+# update_interesting_commits
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ subdir3=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
++ subdir4=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2 ']'
++ mkdir -p interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/first_url
++ mkdir -p interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 2bd00179885928fd95fcabfafc50e7b5c6e660d2 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/'
+[detached HEAD 23cbd2801] Add entry 2bd00179885928fd95fcabfafc50e7b5c6e660d2 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/first_url
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/last_good
++ wait 74480
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -245,15 +497,576 @@
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ isubdir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 74550
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=f22900934
+++ '[' 0 -ne 0 ']'
+++ echo f22900934
++ sha1=f22900934
++ git -C interesting-commits checkout --detach f22900934
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 23cbd2801 Add entry 2bd00179885928fd95fcabfafc50e7b5c6e660d2 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 23cbd2801
+
+HEAD is now at f22900934 Add entry d15fff6c69c93670b6f63e0f0fd91fcdf69b6702 from https://ci.linaro.org/job/tcwg_bmk-code_size-spec2k6--llvm-aarch64-master-Os_LTO-build/83/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ subdir3=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
++ subdir4=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2 ']'
++ mkdir -p interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/first_url
++ mkdir -p interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ print_result --oneline
++ false
++ local print_arg=--oneline
++ case "$print_arg" in
++ '[' 0 = 0 ']'
++ echo Success
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2 -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status-summary.txt
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status-summary.txt glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ print_result --long
++ false
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'Results changed to'
+++ cat artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ echo ''
++ echo From
+++ cat base-artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ return 0
++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/details.txt
++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/build_url
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status.txt
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ ls
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status.txt ']'
++ echo '* master-aarch64'
++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ ls
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status.txt ']'
++ echo '* tcwg_glibc_build'
++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 true
+++ local component=glibc
+++ local sha1=2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ describe=glibc-2.38.9000-207-g2bd0017988
+++ echo glibc-2.38.9000-207-g2bd0017988
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-207-g2bd0017988
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-207-g2bd0017988'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.IAzCawjMck
++ git -C glibc log -n1 2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ tail -n +2
++ head -n 10 /tmp/tmp.IAzCawjMck
+++ cat /tmp/tmp.IAzCawjMck
+++ wc -l
++ more_lines=0
++ '[' 0 -gt 0 ']'
++ rm /tmp/tmp.IAzCawjMck
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira
++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira ']'
++ mkdir interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 true
++++ local component=glibc
++++ local sha1=2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ describe=glibc-2.38.9000-207-g2bd0017988
++++ echo glibc-2.38.9000-207-g2bd0017988
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-207-g2bd0017988
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-207-g2bd0017988
+++ return 0
+++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/status-summary.txt
++ echo glibc-2.38.9000-207-g2bd0017988: Success
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/summary
++ cat
+++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/commit-log.txt
+++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/status.txt
+++ print_icommits_link glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/yaml
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso 2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ commit_date='2023-10-24 13:37:48 +0100'
++ date -d '2023-10-24 13:37:48 +0100' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira
+++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 false
+++ local component=glibc
+++ local sha1=2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ describe=glibc-2.38.9000-207-g2bd0017988
++ '[' glibc-2.38.9000-207-g2bd0017988 '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-207-g2bd0017988
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ rm -f interesting-commits/glibc/glibc-2.38.9000-207-g2bd0017988
++ ln -s sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2 interesting-commits/glibc/glibc-2.38.9000-207-g2bd0017988
++ git -C interesting-commits add glibc/glibc-2.38.9000-207-g2bd0017988
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 2bd00179885928fd95fcabfafc50e7b5c6e660d2 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/'
+[detached HEAD bb6b23066] Add entry 2bd00179885928fd95fcabfafc50e7b5c6e660d2 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
+ 17 files changed, 82 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-207-g2bd0017988
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/commit-log.txt
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/first_url
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/components
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/description
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/startdate
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/summary
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/status-summary.txt
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/status.txt
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/details.txt
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/last_good
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status-summary.txt
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/status.txt
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status-summary.txt
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/status.txt
++ wait 86936
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -263,11 +1076,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ isubdir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ icommit_entry=interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ '[' interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2 '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira ']'
++ rsync -a interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -291,11 +1116,11 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/artifact/artifacts/notify/mail-body.txt/*view*/'
-+ echo '# print all notification files'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
++ echo '# print all notification files'
+ true
+ generate_mail_files
+ set -euf -o pipefail
@@ -316,41 +1141,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=83d13972f23546758b600ba940e0d53248dd0339
++ base_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-+ read -r email
-++ git -C glibc log --pretty=%ae 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
++ cur_rev=2bd00179885928fd95fcabfafc50e7b5c6e660d2
+ read -r email
+++ git -C glibc log --pretty=%ae 2f1c6652d7b339526cfebc87c64c6f130cabc9ba..2bd00179885928fd95fcabfafc50e7b5c6e660d2
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -361,41 +1160,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=83d13972f23546758b600ba940e0d53248dd0339
++ base_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-+ read -r email
-++ git -C glibc log --pretty=%ce 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
++ cur_rev=2bd00179885928fd95fcabfafc50e7b5c6e660d2
+ read -r email
+++ git -C glibc log --pretty=%ce 2f1c6652d7b339526cfebc87c64c6f130cabc9ba..2bd00179885928fd95fcabfafc50e7b5c6e660d2
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -419,42 +1192,32 @@
+ case "$type" in
+ recipients+=("$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,arjun@redhat.com
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,wilco.dijkstra@arm.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=83d13972f23546758b600ba940e0d53248dd0339
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-+++ git -C glibc rev-list --count 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-++ c_commits=14
-++ new_commits=14
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '14 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 true
++++ local component=glibc
++++ local sha1=2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ describe=glibc-2.38.9000-207-g2bd0017988
++++ echo glibc-2.38.9000-207-g2bd0017988
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-207-g2bd0017988
++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-207-g2bd0017988
++ return 0
++ gnu_print_result --oneline
++ false
@@ -469,47 +1232,20 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
-++ gcc_override_configure=()
-++ local -a gcc_override_configure
-++ gcc_target_board_options=()
-++ local -a gcc_target_board_options
-++ qemu_cpu=()
-++ local -a qemu_cpu
-++ local pretty_project pretty_config
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
++++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
++ local config=master-aarch64
-++ obligatory_variables gcc_override_configure gcc_target_board_options qemu_cpu
-++ set -euf -o pipefail
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p gcc_override_configure
-++ [[ declare -a gcc_override_configure=() != \d\e\c\l\a\r\e\ * ]]
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p gcc_target_board_options
-++ [[ declare -a gcc_target_board_options=() != \d\e\c\l\a\r\e\ * ]]
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p qemu_cpu
-++ [[ declare -a qemu_cpu=() != \d\e\c\l\a\r\e\ * ]]
-++ obligatory_variables pretty_project pretty_config
-++ set -euf -o pipefail
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p pretty_project
-++ [[ declare -- pretty_project != \d\e\c\l\a\r\e\ * ]]
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p pretty_config
-++ [[ declare -- pretty_config != \d\e\c\l\a\r\e\ * ]]
-++ pretty_project=
-++ pretty_config=master-aarch64
+++ gnu_data[gcc_override_configure]=
+++ gnu_data[gcc_target_board_options]=
+++ gnu_data[qemu_cpu]=
+++ gnu_data[pretty_project]=
+++ gnu_data[pretty_config]=master-aarch64
++ case "$project/$config" in
+++ echo tcwg_glibc_build
+++ sed 's/^tcwg_//'
-++ pretty_project=glibc_build
+++ gnu_data[pretty_project]=glibc_build
++ local print_arg=--oneline
++ case "$print_arg" in
++ print_config --oneline
@@ -518,61 +1254,34 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' '14 commits in glibc: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-207-g2bd0017988: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
-++ gcc_override_configure=()
-++ local -a gcc_override_configure
-++ gcc_target_board_options=()
-++ local -a gcc_target_board_options
-++ qemu_cpu=()
-++ local -a qemu_cpu
-++ local pretty_project pretty_config
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
++++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
++ local config=master-aarch64
-++ obligatory_variables gcc_override_configure gcc_target_board_options qemu_cpu
-++ set -euf -o pipefail
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p gcc_override_configure
-++ [[ declare -a gcc_override_configure=() != \d\e\c\l\a\r\e\ * ]]
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p gcc_target_board_options
-++ [[ declare -a gcc_target_board_options=() != \d\e\c\l\a\r\e\ * ]]
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p qemu_cpu
-++ [[ declare -a qemu_cpu=() != \d\e\c\l\a\r\e\ * ]]
-++ obligatory_variables pretty_project pretty_config
-++ set -euf -o pipefail
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p pretty_project
-++ [[ declare -- pretty_project != \d\e\c\l\a\r\e\ * ]]
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p pretty_config
-++ [[ declare -- pretty_config != \d\e\c\l\a\r\e\ * ]]
-++ pretty_project=
-++ pretty_config=master-aarch64
+++ gnu_data[gcc_override_configure]=
+++ gnu_data[gcc_target_board_options]=
+++ gnu_data[qemu_cpu]=
+++ gnu_data[pretty_project]=
+++ gnu_data[pretty_config]=master-aarch64
++ case "$project/$config" in
+++ echo tcwg_glibc_build
+++ sed 's/^tcwg_//'
-++ pretty_project=glibc_build
+++ gnu_data[pretty_project]=glibc_build
++ local print_arg=--short
++ case "$print_arg" in
++ echo 'glibc_build master-aarch64'
@@ -581,57 +1290,39 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=83d13972f23546758b600ba940e0d53248dd0339
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-+++ git -C glibc rev-list --count 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-++ c_commits=14
-++ new_commits=14
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '14 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 true
++++ local component=glibc
++++ local sha1=2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ describe=glibc-2.38.9000-207-g2bd0017988
++++ echo glibc-2.38.9000-207-g2bd0017988
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-207-g2bd0017988
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=83d13972f23546758b600ba940e0d53248dd0339
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-+++ git -C glibc rev-list --count 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-++ c_commits=14
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-++ '[' 14 -gt 5 ']'
-++ echo '... and 9 more commits in glibc'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-207-g2bd0017988'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.u5yDHazdQy
+++ git -C glibc log -n1 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ tail -n +2
+++ head -n 10 /tmp/tmp.u5yDHazdQy
++++ cat /tmp/tmp.u5yDHazdQy
++++ wc -l
+++ more_lines=0
+++ '[' 0 -gt 0 ']'
+++ rm /tmp/tmp.u5yDHazdQy
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -662,47 +1353,20 @@
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
-++ gcc_override_configure=()
-++ local -a gcc_override_configure
-++ gcc_target_board_options=()
-++ local -a gcc_target_board_options
-++ qemu_cpu=()
-++ local -a qemu_cpu
-++ local pretty_project pretty_config
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
++++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
++ local config=master-aarch64
-++ obligatory_variables gcc_override_configure gcc_target_board_options qemu_cpu
-++ set -euf -o pipefail
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p gcc_override_configure
-++ [[ declare -a gcc_override_configure=() != \d\e\c\l\a\r\e\ * ]]
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p gcc_target_board_options
-++ [[ declare -a gcc_target_board_options=() != \d\e\c\l\a\r\e\ * ]]
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p qemu_cpu
-++ [[ declare -a qemu_cpu=() != \d\e\c\l\a\r\e\ * ]]
-++ obligatory_variables pretty_project pretty_config
-++ set -euf -o pipefail
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p pretty_project
-++ [[ declare -- pretty_project != \d\e\c\l\a\r\e\ * ]]
-++ for i in "$@"
-++ case "$i" in
-+++ declare -p pretty_config
-++ [[ declare -- pretty_config != \d\e\c\l\a\r\e\ * ]]
-++ pretty_project=
-++ pretty_config=master-aarch64
+++ gnu_data[gcc_override_configure]=
+++ gnu_data[gcc_target_board_options]=
+++ gnu_data[qemu_cpu]=
+++ gnu_data[pretty_project]=
+++ gnu_data[pretty_config]=master-aarch64
++ case "$project/$config" in
+++ echo tcwg_glibc_build
+++ sed 's/^tcwg_//'
-++ pretty_project=glibc_build
+++ gnu_data[pretty_project]=glibc_build
++ local print_arg=--long
++ case "$print_arg" in
++ print_config --long
@@ -710,14 +1374,100 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_build/master-aarch64'
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira
+++ '[' -f interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_build master-aarch64
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 tcwg_glibc_build master-aarch64
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
+++ isubdir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=2bd00179885928fd95fcabfafc50e7b5c6e660d2'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ isubdir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/status.txt
# generate dashboard
+ echo '# generate dashboard'
-+ generate_dashboard_squad
# generate_dashboard_squad
... Skipping
# post_dashboard_squad
+... Skipping
++ generate_dashboard_squad
+ local results_date
+ echo '# generate_dashboard_squad'
+ false
@@ -727,21 +1477,20 @@
+ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
-... Skipping
+ return
+ generate_lnt_report
-+ wait 51365
++ wait 87059
+ set -euf -o pipefail
+ echo '# generate_lnt_report'
# generate_lnt_report
+ true
+ case "$ci_project" in
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/lnt-utils.sh
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -755,12 +1504,12 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ false
+ post_to_jira
+ set -euf -o pipefail
-# post_to_jira
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
+ false
+ false
-Full stage ran successfully.
+ echo 'Full stage ran successfully.'
+Full stage ran successfully.
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index b3e41c3..6db8903 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -d: -f 1
+ host=tcwg-jade-06
+ local port
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_3
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_2
+ local opts
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 4
-+ opts=-p35995
++ opts=-p36090
+ local env_vars
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_3
-+ ssh -p35995 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_3 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_2
++ ssh -p36090 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_2 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -70,8 +70,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -81,23 +81,23 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-# Debug traces :
+ ci_config=master-aarch64
+ echo '# Debug traces :'
+# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/768/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x2f1c6652d7b339526cfebc87c64c6f130cabc9ba '!=' x83d13972f23546758b600ba940e0d53248dd0339 ']'
+++ '[' x2bd00179885928fd95fcabfafc50e7b5c6e660d2 '!=' x2f1c6652d7b339526cfebc87c64c6f130cabc9ba ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ first_bad=2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=83d13972f23546758b600ba940e0d53248dd0339
++ last_good=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
+ local res
+ res=0
-+ wait 51087
++ wait 50141
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=83d13972f23546758b600ba940e0d53248dd0339
++ base_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-++ git -C glibc rev-parse '2f1c6652d7b339526cfebc87c64c6f130cabc9ba^@'
++ cur_rev=2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ git -C glibc rev-parse '2bd00179885928fd95fcabfafc50e7b5c6e660d2^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 7f602256ab5b85db1dbfb5f40bd109c4b37b68c8 = 83d13972f23546758b600ba940e0d53248dd0339 ']'
-+ return 1
-+ change_kind=single_component
++ '[' 2f1c6652d7b339526cfebc87c64c6f130cabc9ba = 2f1c6652d7b339526cfebc87c64c6f130cabc9ba ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=single_component : glibc
+ echo '# Debug traces :'
-+ echo '# change_kind=single_component : glibc'
++ echo '# change_kind=single_commit : glibc'
+# change_kind=single_commit : glibc
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=83d13972f23546758b600ba940e0d53248dd0339
++ base_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-++ git -C glibc rev-list --count 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba
-+ c_commits=14
-# rev for glibc : 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba (14 commits)
++ cur_rev=2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ git -C glibc rev-list --count 2f1c6652d7b339526cfebc87c64c6f130cabc9ba..2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ c_commits=1
+# rev for glibc : 2f1c6652d7b339526cfebc87c64c6f130cabc9ba..2bd00179885928fd95fcabfafc50e7b5c6e660d2 (1 commits)
-+ echo '# rev for glibc : 83d13972f23546758b600ba940e0d53248dd0339..2f1c6652d7b339526cfebc87c64c6f130cabc9ba (14 commits)'
++ echo '# rev for glibc : 2f1c6652d7b339526cfebc87c64c6f130cabc9ba..2bd00179885928fd95fcabfafc50e7b5c6e660d2 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -235,9 +235,261 @@
+ echo '# post_interesting_commits'
# post_interesting_commits
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 50221
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=f22900934
+++ '[' 0 -ne 0 ']'
+++ echo f22900934
++ sha1=f22900934
++ git -C interesting-commits checkout --detach f22900934
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 9744b7a4e Add entry 3333eb55b73ed585b8265f2d5dfcd8624173cf8e from https://ci.linaro.org/job/tcwg_glibc_build--master-arm-build/722/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 9744b7a4e
+
+HEAD is now at f22900934 Add entry d15fff6c69c93670b6f63e0f0fd91fcdf69b6702 from https://ci.linaro.org/job/tcwg_bmk-code_size-spec2k6--llvm-aarch64-master-Os_LTO-build/83/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ jira_dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ subdir3=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
++ subdir4=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ interesting_subdir glibc 2bd00179885928fd95fcabfafc50e7b5c6e660d2 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2 ']'
++ mkdir -p interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/first_url
++ mkdir -p interesting-commits/glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 2f1c6652d7b339526cfebc87c64c6f130cabc9ba
++ git -C interesting-commits add glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 2bd00179885928fd95fcabfafc50e7b5c6e660d2 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/'
+[detached HEAD a8bf2e6fb] Add entry 2bd00179885928fd95fcabfafc50e7b5c6e660d2 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/769/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/first_url
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/2bd00179885928fd95fcabfafc50e7b5c6e660d2/tcwg_glibc_build/master-aarch64/last_good
++ wait 62240
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
-Init stage ran successfully.
+ exit 0
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index aa7aced..b5552ec 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -d: -f 1
+ host=tcwg-jade-06
+ local port
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_3
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_2
+ local opts
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 4
-+ opts=-p35995
++ opts=-p36090
+ local env_vars
-++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_3:-p35995:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p36090:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,8 +58,8 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_3
-+ ssh -p35995 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_3 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_2
++ ssh -p36090 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_2 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+ declare -g rewrite_base_artifacts_first=true
+ true
+ update_baseline
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 27c7d9e..ad5fc6b 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#768"
+build_name="#769"
docker_opts=(--distro
default
--arch
@@ -9,7 +9,7 @@ tcwg-jade-06
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#768-glibc"
+build_name="#769-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#768-glibc-R1"
+build_name="#769-glibc-R1"